Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class BytecodeExpression

Represents some custom bytecode generation by the compiler

author:
  James Strachan

version:
  $Revision: 10617 $

Field Summary
`BytecodeExpression` | `NOP`

Constructor Summary
`BytecodeExpression()`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### BytecodeExpression

    public BytecodeExpression()

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)